API Reference for Marketo Engage

Create Smart List

POST /rest/asset/v1/smartLists.json

Creates a new Smart List.

Operation ID
createSmartListUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfSmartListResponse

Request body

application/x-www-form-urlencoded · required · CreateSmartListRequest · 5 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

name string required

Name of the smart list. Maximum 255 characters

folder Folder required

Folder object describing the parent folder

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

description string

Description of the smart list. Maximum 2,000 characters

Responses

200 OK ResponseOfSmartListResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of SmartListResponse

Model SmartListResponse

id integer (int64) required

Id of the smart list

name string required

Name of the smart list

description string required

Description of the smart list

createdAt string (date-time) required

Datetime the smart list was created

updatedAt string (date-time) required

Datetime the smart list was most recently updated

url string

Url of the smart list in the Marketo UI

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

workspace string required

Name of the workspace

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results